<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>文字被颜色逐渐填满的特效</title>
    <style>
        h1{
            position: relative;
            font-size: 72px;
            font-weight: 700;
            color: #ccc;
        }
        h1::after{
            content: attr(text-data);
            white-space: nowrap; /* 加了这行代码，禁止文字换行 */
            position: absolute;
            top: 0;
            left: 0;
            background: linear-gradient(to right, #ABDCFF, #0396FF);
            -webkit-background-clip: text;
            color: transparent;
            animation: changeColor 6s linear infinite;
        }
        @keyframes changeColor{
            0%{
                width: 0%;
            }
            100%{
                width: 100%;
            }
        }
    </style>
</head>
<body>
    <h1 text-data="你好哇，我是南极大冰块~">你好哇，我是南极大冰块~</h1>
</body>
</html>